import request from '@/config/axios'

// 签到
export const createRewardSignInRecord = async () => {
  return await request.post({
    url: '/app-api/menduner/reward/sign-in/record/create'
  })
}

// 获得个人签到统计
export const getRewardSignInRecordSummary = async () => {
  return await request.get({
    url: '/app-api/menduner/reward/sign-in/record/get-summary'
  })
}

// 获得签到记录分页
export const getRewardSignInRecordPage = async (pageNo, pageSize) => {
  return await request.get({
    url: `/app-api/menduner/reward/sign-in/record/page?pageSize=${pageSize}&pageNo=${pageNo}`
  })
}

// 获取签到规则列表
export const getRewardSignInConfigList = async () => {
  return await request.get({
    url: '/app-api/menduner/reward/sign-in/config/list'
  })
}